RunLengthByteReader (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class RunLengthByteReader

- java.lang.Object
- - org.apache.orc.impl.RunLengthByteReader

-     public class RunLengthByteReader
      extends Object

  A reader that reads a sequence of bytes. A control byte is read before each run with positive values 0 to 127 meaning 3 to 130 repetitions. If the byte is -1 to -128, 1 to 128 literal byte values follow.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunLengthByteReader(InStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `byte` | `next()`
    `void` | `nextVector(boolean[] isNull, int[] data, long size)` Read the next size bytes into the data array, skipping over any slots where isNull is true.
    `void` | `nextVector(ColumnVector previous, long[] data, long size)`
    `void` | `seek(PositionProvider index)`
    `void` | `setInStream(InStream input)`
    `void` | `skip(long items)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RunLengthByteReader

          public RunLengthByteReader(InStream input)

  - ### Method Detail

    - #### setInStream

          public void setInStream(InStream input)

    - #### hasNext

          public boolean hasNext()
                          throws IOException

      Throws:
        `IOException`

    - #### next

          public byte next()
                    throws IOException

      Throws:
        `IOException`

    - #### nextVector

          public void nextVector(ColumnVector previous,
                                 long[] data,
                                 long size)
                          throws IOException

      Throws:
        `IOException`

    - #### nextVector

          public void nextVector(boolean[] isNull,
                                 int[] data,
                                 long size)
                          throws IOException

      Read the next size bytes into the data array, skipping over any slots where isNull is true.
      Parameters:
        `isNull` - if non-null, skip any rows where isNull[r] is true
        `data` - the array to read into
        `size` - the number of elements to read
      Throws:
        `IOException`

    - #### seek

          public void seek(PositionProvider index)
                    throws IOException

      Throws:
        `IOException`

    - #### skip

          public void skip(long items)
                    throws IOException

      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.